package mschmidt.komo;
/*
 * Custom action that controls the 
 * database vacuum process. 
 */

import mschmidt.komo.datatools.VacuumWizard;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbVacuumAction extends Action implements IWorkbenchAction {
	
	// Initialize variables for this action.
	private IWorkbenchWindow thisWindow;

	public static final String ACTION_ID = "mschmidt.komo.DbVacuumAction";

	/*
	 * Constructor to create the action and set appearance variables.
	 */
	public DbVacuumAction(final IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Clean Database");
		setToolTipText("Clean and compact database tables");
		setImageDescriptor(KomoPlugin
				.getImageDescriptor(ApplicationImages.DB_VACUUM_ICON));
	}

	/*
	 *  (non-Javadoc)
	 *  The action runnable.
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	@Override
	public final void run() {
		if (thisWindow != null) {
			VacuumWizard wizard = new VacuumWizard();
			WizardDialog dialog = new WizardDialog(thisWindow.getShell(),
					wizard);
			dialog.create();
			dialog.open();
			if (wizard != null) {
				wizard.dispose();
			}
		}
	}

	public void dispose() {
	}

}
