package mschmidt.komo;
/*
 * The main plugin class to be used in the desktop.
 */

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

public class KomoPlugin extends AbstractUIPlugin {

	//The shared instance.
	private static KomoPlugin plugin;
	
	/**
	 * The constructor.
	 */
	public KomoPlugin() {
		plugin = this;
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		/*
		 * This line causes the preferences to be loaded properly in the RCP
		 * standalone application.
		 */
		getStateLocation();
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		plugin = null;
	}

	/**
	 * Returns the shared instance.
	 */
	public static KomoPlugin getDefault() {
		return plugin;
	}

	/**
	 * A convenienct method that returns an image descriptor for the image 
	 * file at the given plug-in relative path.  Used by KomoImageLoader.
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return AbstractUIPlugin.imageDescriptorFromPlugin("mschmidt.komo", path);
	}
}
